import {
	ApiHttp
} from '@/utils/request.js'

const orderStatisticsGET = (params) => {
	return ApiHttp('/group-buy/by-collective-order/orderStatistics', params, 'GET')
}

const bannerShowGET = (params) => {
	return ApiHttp('/group-buy/by-banner/banner/show', params, 'GET')
}

const orderTodayDataGET = (params) => {
	return ApiHttp('/group-buy/by-collective-order/orderTodayData', params, 'GET')
}

const collectivePurchaseGET = (params) => {
	return ApiHttp('/group-buy/by-collective-leader/gain/collective/purchase', params, 'GET')
}

const getOpenGroupActivityGET = (params) => {
	return ApiHttp('/group-buy/by-activity/getOpenGroupActivity', params, 'GET')
}

const activitySuitePagesGET = (params) => {
	return ApiHttp('/group-buy/by-activity-suite/activitySuiteDetails', params, 'GET')
}

const activitySuiteDetailsGET = (params) => {
	return ApiHttp('/group-buy/by-activity-suite/activitySuiteDetails', params, 'GET')
}

const aBulkPOST = (params) => {
	return ApiHttp('/group-buy/by-collective-leader/release/a/bulk', params, 'POST')
}

const collectiveDetailsGET = (params) => {
	return ApiHttp('/group-buy/by-collective-leader/gain/collective/details', params, 'GET')
}

const placeOrderPOST = (params) => {
	return ApiHttp('/group-buy/by-consumer-order/placeOrder', params, 'POST')
}

const particularsGET = (params) => {
	return ApiHttp('/group-buy/by/suite/suite/particulars', params, 'GET')
}

const getOrderDetailsGET = (params) => {
	return ApiHttp('/group-buy/by-collective-order/getOrderDetails', params, 'GET')
}

const delCollectiveOrderGET = (params) => {
	return ApiHttp('/group-buy/by-collective-leader/del/collective/order', params, 'GET')
}

const getOrderDetailsByIdGET = (params) => {
	return ApiHttp('/group-buy/by-consumer-order/getOrderDetailsById', params, 'GET')
}

const refundeGET = (params) => {
	return ApiHttp('/group-buy/by-consumer-order/leader/refunde', params, 'GET')
}

const refundedetailsGET = (params) => {
	return ApiHttp('/group-buy/by-consumer-order/leader/refunde/details', params, 'GET')
}

const buildertGET = (params) => {
	return ApiHttp('/group-buy/by/suite/suite/encoding/builder', params, 'GET')
}

export {
	orderStatisticsGET,
	bannerShowGET,
	orderTodayDataGET,
	collectivePurchaseGET,
	getOpenGroupActivityGET,
	activitySuitePagesGET,
	activitySuiteDetailsGET,
	aBulkPOST,
	collectiveDetailsGET,
	placeOrderPOST,
	particularsGET,
	getOrderDetailsGET,
	delCollectiveOrderGET,
	getOrderDetailsByIdGET,
	refundeGET,
	refundedetailsGET,
	buildertGET
}
